Start typing to search.

API Reference

Delete a user

View Markdown
DELETE /api/users/{id}

Superadmin can delete admins and viewers. Admins can only delete viewers. Cannot delete your own account.

Operation IDdeleteUser

Authentication

  • BearerAuth·http bearer·API key token (envoy_<hex>). Create keys from Settings → API Keys — see Using the API.

Path parameters

idintegerrequired

Resource ID

Success response body

200User deleted

User deleted

Content typeapplication/json

responseobject
1 property
successboolean

Error responses

403Insufficient permissions

Insufficient permissions

No response content schema is documented.

404Resource not found

Resource not found

Content typeapplication/json

responseobject
2 properties
errorstring
messagestring
Example response
{
  "error": "NOT_FOUND",
  "message": "Resource not found"
}